generator-bootstrap-less

Yeoman generator for bootstrap less

Generator Bootstrap Less

A Generator for Yeoman to work with the Less version of Bootstrap

  • Make sure you have yo installed: npm install -g yo
  • Install the generator: npm install generator-bootstrap-less
  • Run: yo bootstrap-less to scaffold your project
  • Run grunt for building and grunt serve for preview

This version includes Bootstrap 3. If you need Bootstrap 2.3 you should install the previous version of this generator: npm install generator-bootstrap-less@2.0.4

  • --skip-install

    Skips the automatic execution of bower and npm after scaffolding has finished.

  • --test-framework <framework>

    Defaults to mocha. Can be switched for another supported testing framework like jasmine.

MIT License

Thomas Lebeau